Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 154573 - IllegalStateException: The data object MultiFileObject@575830c4[Templates/Project/Samples/Standard/anagrams.zip] is invalid; you may not call getNodeDelegate on it any more; see #17020 and please fix
IllegalStateException: The data object MultiFileObject@575830c4[Templates/Pro...
Status: VERIFIED FIXED
Product: ide
Classification: Unclassified
Component: Features On Demand
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Pavel Flaska
issues@performance
http://statistics.netbeans.org/except...
EXCEPTIONS_REPORT
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-04 10:08 UTC by Marian Mirilovic
Modified: 2009-06-21 13:43 UTC (History)
4 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (3.53 KB, text/plain)
2008-12-04 10:08 UTC, Marian Mirilovic
Details
stacktrace (3.53 KB, text/plain)
2008-12-04 17:37 UTC, Filip Zamboj
Details
stacktrace (3.53 KB, text/plain)
2008-12-04 19:14 UTC, Petr Dvorak
Details
stacktrace (3.53 KB, text/plain)
2008-12-05 12:37 UTC, Rashid Urusov
Details
stacktrace (69.38 KB, text/plain)
2008-12-12 11:36 UTC, Tomas Danek
Details
stacktrace (3.53 KB, text/plain)
2008-12-16 14:16 UTC, Filip Zamboj
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Marian Mirilovic 2008-12-04 10:08:07 UTC
Build: NetBeans IDE Dev (Build 081203)
VM: Java HotSpot(TM) 64-Bit Server VM, 11.0-b15, Java(TM) SE Runtime Environment, 1.6.0_10-b33
OS: Linux, 2.6.27-9-generic, amd64

Stacktrace: 
java.lang.IllegalStateException: The data object MultiFileObject@575830c4[Templates/Project/Samples/Standard/anagrams.zip] is invalid; you may not call getNodeDelegate on it any more; see #17020 and please fix your code
Comment 1 Marian Mirilovic 2008-12-04 10:08:17 UTC
Created attachment 74522 [details]
stacktrace
Comment 2 Filip Zamboj 2008-12-04 17:37:06 UTC
Build: NetBeans IDE Dev (Build 081204)
VM: Java HotSpot(TM) Client VM, 11.0-b15, Java(TM) SE Runtime Environment, 1.6.0_10-b33
OS: Linux, 2.6.27-9-generic, i386

User Comments: 
I just activated Java modul when trying to create a new project from samples (Anagram Game)

Stacktrace: 
java.lang.IllegalStateException: The data object MultiFileObject@1a729c1[Templates/Project/Samples/Standard/anagrams.zip] is invalid; you may not call getNodeDelegate on it any more; see #17020 and please fix your code
        at org.openide.loaders.DataObject.getNodeDelegate(DataObject.java:270)
        at org.netbeans.modules.java.examples.J2SESampleProjectIterator.initialize(J2SESampleProjectIterator.java:98)
        at org.netbeans.modules.ide.ergonomics.newproject.DescriptionStep$5.initialize(DescriptionStep.java:344)
        at org.netbeans.modules.ide.ergonomics.newproject.DescriptionStep.waitForDelegateWizard(DescriptionStep.java:322)
        at org.netbeans.modules.ide.ergonomics.newproject.DescriptionStep.access$300(DescriptionStep.java:83)
        at org.netbeans.modules.ide.ergonomics.newproject.DescriptionStep$3$1.call(DescriptionStep.java:236)
Comment 3 Filip Zamboj 2008-12-04 17:37:10 UTC
Created attachment 74547 [details]
stacktrace
Comment 4 Petr Dvorak 2008-12-04 19:14:17 UTC
Build: NetBeans IDE Dev (Build 081204)
VM: Java HotSpot(TM) Client VM, 11.0-b13, Java(TM) SE Runtime Environment, 1.6.0_10-rc-b26
OS: Linux, 2.6.27-10-generic, i386

User Comments: 
I tried to create sample Document Editor with the fresh ergonomics build...

Stacktrace: 
java.lang.IllegalStateException: The data object MultiFileObject@9a6317[Templates/Project/Samples/Standard/DocumentEditor.zip] is invalid; you may not call getNodeDelegate on it any more; see #17020 and please fix your code
        at org.openide.loaders.DataObject.getNodeDelegate(DataObject.java:270)
        at org.netbeans.modules.java.examples.J2SESampleProjectIterator.initialize(J2SESampleProjectIterator.java:98)
        at org.netbeans.modules.ide.ergonomics.newproject.DescriptionStep$5.initialize(DescriptionStep.java:344)
        at org.netbeans.modules.ide.ergonomics.newproject.DescriptionStep.waitForDelegateWizard(DescriptionStep.java:322)
        at org.netbeans.modules.ide.ergonomics.newproject.DescriptionStep.access$300(DescriptionStep.java:83)
        at org.netbeans.modules.ide.ergonomics.newproject.DescriptionStep$3$1.call(DescriptionStep.java:236)
Comment 5 Petr Dvorak 2008-12-04 19:14:30 UTC
Created attachment 74554 [details]
stacktrace
Comment 6 Petr Dvorak 2008-12-04 19:30:50 UTC
I think we can track issues with all samples as one issue, as almost none of them work without proper modules installed
(if you first create a Java application, you can create Document Editor without this ISE...).
Comment 7 Rashid Urusov 2008-12-05 12:36:44 UTC
Build: NetBeans IDE Dev (Build 081204)
VM: Java HotSpot(TM) Client VM, 10.0-b23, Java(TM) SE Runtime Environment, 1.6.0_07-b05
OS: Windows XP, 5.1, x86

User Comments: 


Stacktrace: 
java.lang.IllegalStateException: The data object MultiFileObject@8c6afe[Templates/Project/Samples/Standard/anagrams.zip] is invalid; you may not call getNodeDelegate on it any more; see #17020 and please fix your code
        at org.openide.loaders.DataObject.getNodeDelegate(DataObject.java:270)
        at org.netbeans.modules.java.examples.J2SESampleProjectIterator.initialize(J2SESampleProjectIterator.java:98)
        at org.netbeans.modules.ide.ergonomics.newproject.DescriptionStep$5.initialize(DescriptionStep.java:344)
        at org.netbeans.modules.ide.ergonomics.newproject.DescriptionStep.waitForDelegateWizard(DescriptionStep.java:322)
        at org.netbeans.modules.ide.ergonomics.newproject.DescriptionStep.access$300(DescriptionStep.java:83)
        at org.netbeans.modules.ide.ergonomics.newproject.DescriptionStep$3$1.call(DescriptionStep.java:236)
Comment 8 Rashid Urusov 2008-12-05 12:37:14 UTC
Created attachment 74593 [details]
stacktrace
Comment 9 Tomas Danek 2008-12-12 11:36:12 UTC
Build: NetBeans IDE Dev (Build 200811140201)
VM: Java HotSpot(TM) Client VM, 10.0-b19, Java(TM) SE Runtime Environment, 1.6.0_04-b12
OS: Windows XP, 5.1, x86

User Comments: 
added javadoc + sources to JAR on which was my project depending

Stacktrace: 
java.lang.StackOverflowError
        at java.util.regex.Pattern$GroupHead.match(Pattern.java:4168)
        at java.util.regex.Pattern$Loop.match(Pattern.java:4295)
        at java.util.regex.Pattern$GroupTail.match(Pattern.java:4227)
        at java.util.regex.Pattern$BranchConn.match(Pattern.java:4078)
        at java.util.regex.Pattern$CharProperty.match(Pattern.java:3345)
        at java.util.regex.Pattern$Branch.match(Pattern.java:4114)
Comment 10 Tomas Danek 2008-12-12 11:36:16 UTC
Created attachment 74899 [details]
stacktrace
Comment 11 Filip Zamboj 2008-12-16 14:16:30 UTC
Build: NetBeans IDE Dev (Build 200812150750)
VM: Java HotSpot(TM) 64-Bit Server VM, 11.0-b16, Java(TM) SE Runtime Environment, 1.6.0_11-b03
OS: Linux, 2.6.27-9-generic, amd64

User Comments: 
[ergonomic]
run netbeans ergonomic with clean userdir 
invoke: FIle -> New Project -> Samples -> Java Application -> Anagram Game, submit
press activate in new dialog Activate
after activation it will switch to Name and Location dialog 
here you got an exception 

Stacktrace: 
java.lang.IllegalStateException: The data object MultiFileObject@73e373de[Templates/Project/Samples/Standard/anagrams.zip] is invalid; you may not call getNodeDelegate on it any more; see #17020 and please fix your code
        at org.openide.loaders.DataObject.getNodeDelegate(DataObject.java:270)
        at org.netbeans.modules.java.examples.J2SESampleProjectIterator.initialize(J2SESampleProjectIterator.java:98)
        at org.netbeans.modules.ide.ergonomics.newproject.DescriptionStep$5.initialize(DescriptionStep.java:276)
        at org.netbeans.modules.ide.ergonomics.newproject.DescriptionStep.waitForDelegateWizard(DescriptionStep.java:254)
        at org.netbeans.modules.ide.ergonomics.newproject.DescriptionStep.access$300(DescriptionStep.java:78)
        at org.netbeans.modules.ide.ergonomics.newproject.DescriptionStep$3$1.call(DescriptionStep.java:193)
Comment 12 Filip Zamboj 2008-12-16 14:16:44 UTC
Created attachment 75029 [details]
stacktrace
Comment 13 Pavel Flaska 2008-12-19 10:28:37 UTC
changeset 112466	1b0057e1d6a7
Comment 14 Quality Engineering 2008-12-22 15:09:17 UTC
Integrated into 'main-golden', will be available in build *200812221122* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/1b0057e1d6a7
User: Pavel Flaska <pflaska@netbeans.org>
Log: #154573: Invalid data object in wizard iterator.
Comment 15 Marian Mirilovic 2009-01-08 16:18:14 UTC
verified


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo